/**
 * Type VisualComponent: 
 * Class <code>TVCpn</code> is the root of the visual components 
 * hierarchy. All visual components implement the methods of this class.
 @since First release
*/
public class TVCpn extends TObject
{
    /** The component's visibility */
    public boolean visible;
    
    /** The x coordinate. */
    public int x;
    
    /** The y coordinate. */
    public int y;
    
    /** The height of the component. */
    public int height;
    
    /** The width of the component. */
    public int width;
    
    /**
     * Instanciates a new Type Visual Component.
     @since First release
    */
    public TVCpn () {}
    
    /**
     * Sets the visibility of the component.
     @param visible The component's visibility.
     @since First release
    */
    public void setVisible (boolean visible) {}
    
    /**
     * Moves the component to the specified coordinates.
     @param x The x coordinate.
     @param y The y coordinate.
     @since First release
    */
    public void move (int x, int y) {}
    
    /**
     * Sets the x coodinate.
     @param x The x coordinate.
     @since First release
     */
    public void setX (int x) {}
    
    /**
     * Sets the y coodinate.
     @param y The y coordinate.
     @since First release
     */
    public void setY (int y) {}
 
    /**
     * Sets the height of the component.
     @param height The height of the component.
     @since First release
     */
    public void setHeight (int height) {}
    
    /**
     * Sets the width of the component.
     @param width The width of the component.
     @since First release
     */
    public void setWidth (int width) {}
    
    /**
     * Sets the dimensions of the component.
     @param height The height of the component.
     @param width The width of the component.
     @since First release
    */
    public void setDim (int height, int width) {}
    
    /**
     * Returns the visibility of the component.
     @return visible: True if visible.
     @since First release
    */
    public boolean getVisible () {return false;}
    
    /**
     * Returns the x coodinate.
     @return x: The x coordinate.
     @since First release
     */
    public int getX () {return 0;}
    
    /**
     * Returns the y coodinate.
     @return y: The y coordinate.
     @since First release
     */
    public int getY () {return 0;}
    
    /**
     * Returns the height of the component.
     @return height: The height of the component.
     @since First release
     */
    public int getHeight () {}
    
    /**
     * Returns the width of the component.
     @return width: The width of the component.
     @since First release
     */
    public int getWidth () {}
}
    